### Function

# Vips filename_get_filename

#### Declaration [src]

    char*
    vips_filename_get_filename (
      const char* vips_filename
    )

#### Description [src]

Given a vips filename like “fred.jpg[Q=90]”, return a new string of just the filename part, “fred.jpg” in this case.

Useful for language bindings.

See also

`vips_filename_get_options()`.

#### Parameters

`vips_filename`

  Type: `const char*`

  A filename including a set of options.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Transfer full: just the filename component.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.